+++
title = "Matlab"
author = ["Thomas Dehaeze"]
draft = false
+++

Tags
:


## Resources on Matlab {#resources-on-matlab}

Books:

-   ([Higham 2017](#org311950e))
-   ([Attaway 2018](#org2d4cbee))
-   ([OverFlow 2018](#org84f4050))
-   ([Johnson 2010](#orgd1edf93))
-   ([Hahn and Valentine 2016](#org07606c6))


## Useful Commands {#useful-commands}

| Command                | Description                                                 |
|------------------------|-------------------------------------------------------------|
| `desktop`              | Open the Matlab Desktop                                     |
| `workspace`            | Open the Workspace                                          |
| `who`                  | List all variables in the workspace                         |
| `edit <filename>`      | Edit the file using Matlab Desktop (usefully for debugging) |
| `help <function>`      |                                                             |
| `doc <function>`       |                                                             |
| `checkcode <filename>` | Check Matlab code files for possible problems               |
| `preferences`          | Open Matlab preferences                                     |


## Tips {#tips}

-   Folder that starts with a `+` are automatically added to the path.
    It is useful to add function inside such folder.
    Then the function is accessible with `folder.function`.


## Snippets {#snippets}


### Do not show legend for one plot {#do-not-show-legend-for-one-plot}

```matlab
figure;
hold on;
plot(x, y1, 'DisplayName, 'lengendname');
plot(x, y2, 'HandleVisibility', 'off');
hold off;
legend('Location', 'northeast');
```


## Linux Installation {#linux-installation}

If a single user is using the Matlab installation on the machine:

```bash
sudo chown -R $LOGNAME: /usr/local/MATLAB/R2017b
```

Then, Toolboxes can be installed by the user without any problem.

To install Toolboxes, the best is to Download the Matlab installer from mathworks and just select the wanted toolboxes.


## Used Toolboxes {#used-toolboxes}

-   `vfit3` ([link](https://www.sintef.no/projectweb/vectorfitting/)): used to identify transfer functions


## Bibliography {#bibliography}

<a id="org2d4cbee"></a>Attaway, Stormy. 2018. _MATLAB : a Practical Introduction to Programming and Problem Solving_. Amsterdam: Butterworth-Heinemann.

<a id="org07606c6"></a>Hahn, Brian, and Daniel T Valentine. 2016. _Essential MATLAB for Engineers and Scientists_. Academic Press.

<a id="org311950e"></a>Higham, Desmond. 2017. _MATLAB Guide_. Philadelphia: Society for Industrial and Applied Mathematics.

<a id="orgd1edf93"></a>Johnson, Richard K. 2010. _The Elements of MATLAB Style_. Cambridge University Press.

<a id="org84f4050"></a>OverFlow, Stack. 2018. _MATLAB Notes for Professionals_. GoalKicker.com.
